/// <reference types="node" />
import { FileStream } from "./FileStream";
import ReadableStream = NodeJS.ReadableStream;
/**
 * Converts the TransXChange input stream to a GTFS zip output stream
 */
export declare class Converter {
    private readonly inputStream;
    private readonly gtfsFiles;
    constructor(inputStream: FileStream, gtfsFiles: Record<string, ReadableStream>);
    /**
     * Load the XML into memory, convert it to JSON, then a TransXChange object and the pass that to each of the GTFS file
     * factory methods.
     */
    process(input: string[], output: string | undefined): Promise<void>;
    init(): void;
    private pushInputFiles;
    private streamsFinished;
    private writeToFile;
}
