"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.GetStopData = void 0;
const stream_1 = require("stream");
const fs = require("fs");
const util_1 = require("util");
const follow_redirects_1 = require("follow-redirects");
const csv_parse_1 = require("csv-parse");
const csv_stringify_1 = require("csv-stringify");
const asyncPipeline = (0, util_1.promisify)(stream_1.pipeline);
class GetStopData {
    async update() {
        const transform = new stream_1.Transform({
            objectMode: true,
            transform: (chunk, encoding, callback) => {
                callback(null, [chunk[0], chunk[1], chunk[4], chunk[10], chunk[14], chunk[18], chunk[19], chunk[29], chunk[30]]);
            }
        });
        const response = await new Promise(resolve => follow_redirects_1.https.get(GetStopData.STOPS_URL, req => resolve(req)));
        await asyncPipeline(response, (0, csv_parse_1.parse)(), transform, (0, csv_stringify_1.stringify)(), fs.createWriteStream("/tmp/Stops.csv"));
    }
}
exports.GetStopData = GetStopData;
GetStopData.STOPS_URL = "https://beta-naptan.dft.gov.uk/Download/File/Stops.csv";
