/// <reference types="node" />
import { Transform, TransformCallback } from "stream";
/**
 * Transform TransXChange objects into GTFS CSV lines
 */
export declare abstract class GTFSFileStream<T> extends Transform {
    private headerSent;
    protected abstract header: string;
    constructor();
    /**
     * Emit the header if necessary then pass the chunk to the transform method
     */
    _transform(chunk: T, encoding: string, callback: TransformCallback): void;
    /**
     * Extract the records from the TransXChange object
     */
    protected abstract transform(data: T): void;
    /**
     * Add a new line to whatever is being pushed
     */
    pushLine(...data: Array<string | number>): boolean;
    private quote;
}
