"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.StopTimesStream = void 0;
const GTFSFileStream_1 = require("./GTFSFileStream");
/**
 * Extract the stop times from the TransXChange journeys
 */
class StopTimesStream extends GTFSFileStream_1.GTFSFileStream {
    constructor() {
        super(...arguments);
        this.header = "trip_id,arrival_time,departure_time,stop_id,stop_sequence,stop_headsign,pickup_type,drop_off_type,shape_dist_traveled,timepoint";
    }
    transform(journey) {
        let sequence = 1;
        for (const stop of journey.stops) {
            this.pushLine(journey.trip.id, stop.arrivalTime, stop.departureTime, stop.stop, sequence++, "", stop.pickup ? 0 : 1, stop.dropoff ? 0 : 1, "", stop.exactTime ? "1" : "0");
        }
    }
}
exports.StopTimesStream = StopTimesStream;
