import { GTFSFileStream } from "./GTFSFileStream";
import { TransXChange } from "../transxchange/TransXChange";
import { NaPTANIndex, StopLocationIndex } from "../reference/NaPTAN";
/**
 * Calculate transfers between stops
 */
export declare class TransfersStream extends GTFSFileStream<TransXChange> {
    private readonly naptan;
    private readonly naptanByLocation;
    private readonly stopsSeen;
    protected header: string;
    constructor(naptan: NaPTANIndex, naptanByLocation: StopLocationIndex);
    /**
     * Add a transfer from each stop to itself (as interchange time) then find any nearby stops and calculate the time
     * required to walk to them.
     */
    protected transform(data: TransXChange): void;
    /**
     * Search any stops we've seen to see if we can walk there
     */
    private addNearbyStops;
    /**
     * Note this method of calculating distances between stations is flawed and only used as a rough guide.
     */
    private getDistance;
}
