"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.TripsStream = void 0;
const GTFSFileStream_1 = require("./GTFSFileStream");
/**
 * Extract the trips from the TransXChange journeys
 */
class TripsStream extends GTFSFileStream_1.GTFSFileStream {
    constructor() {
        super(...arguments);
        this.header = "route_id,service_id,trip_id,trip_headsign,trip_short_name,direction_id,wheelchair_accessible,bikes_allowed,block_id";
    }
    transform(journey) {
        this.pushLine(journey.route, journey.calendar.id, journey.trip.id, "", journey.trip.shortName, journey.trip.direction === "outbound" ? 0 : 1, 0, 0, journey.blockId || "");
    }
}
exports.TripsStream = TripsStream;
