import { Parser } from "csv-parse";
/**
 * Loads the NaPTAN data from the locally stored zip file
 */
export declare class NaPTANFactory {
    private csvStream;
    constructor(csvStream: Parser);
    /**
     * Open the zip, extract the CSV, send it to the CSV parser, then return the results indexed by ATCO code
     */
    getIndexes(): Promise<[NaPTANIndex, StopLocationIndex]>;
}
/**
 * String e.g. 3890D102801
 */
export declare type ATCOCode = string;
/**
 * NaPTAN indexed by ATCO code
 */
export declare type NaPTANIndex = Record<ATCOCode, string[]>;
/**
 * ATCO code indexed by location
 */
export declare type StopLocationIndex = Record<ATCOCode, string[]>;
