"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.NaPTANFactory = void 0;
/**
 * Loads the NaPTAN data from the locally stored zip file
 */
class NaPTANFactory {
    constructor(csvStream) {
        this.csvStream = csvStream;
    }
    /**
     * Open the zip, extract the CSV, send it to the CSV parser, then return the results indexed by ATCO code
     */
    getIndexes() {
        return new Promise((resolve, reject) => {
            const atocIndex = {};
            const locationIndex = {};
            this.csvStream.on("data", data => {
                const location = data[6] || data[5];
                locationIndex[location] = locationIndex[location] || [];
                locationIndex[location].push(data[0]);
                atocIndex[data[0]] = data;
            });
            this.csvStream.on("end", () => resolve([atocIndex, locationIndex]));
            this.csvStream.on("error", reject);
        });
    }
}
exports.NaPTANFactory = NaPTANFactory;
