/// <reference types="node" />
import { DaysOfWeek } from "./TransXChange";
import { Transform, TransformCallback } from "stream";
/**
 * Transforms JSON objects into a TransXChange objects
 */
export declare class TransXChangeStream extends Transform {
    constructor();
    /**
     * Extract the stops, journeys and operators and emit them as a TransXChange object
     */
    _transform(data: any, encoding: string, callback: TransformCallback): void;
    private getStopFromAnnotatedStopPointRef;
    private getStopFromStopPoint;
    private getJourneySections;
    private getLink;
    private getJourneyStop;
    private getOperators;
    private getServices;
    private getJourneyPattern;
    private getLines;
    private getDateRange;
    private getVehicleJourney;
    private getOperatingProfile;
    private getHolidays;
    private getHolidayDate;
    private getDaysOfWeek;
    private getJourneyPatternIndex;
}
/**
 * TransXChange's comical idea of how to represent days of operation
 */
export declare const daysOfWeekIndex: Record<string, DaysOfWeek>;
/**
 * VehicleJourneyCode to JourneyPatternRef
 */
export declare type JourneyPatternIndex = Record<string, string>;
