/// <reference types="node" />
import { Transform, TransformCallback } from "stream";
/**
 * Converts an xml string into a JSON object
 */
export declare class XMLStream extends Transform {
    private readonly parseXML;
    constructor(parseXML: ParseXML);
    /**
     * Transform the XML using the parseXML method
     */
    _transform(xml: string, encoding: string, callback: TransformCallback): Promise<void>;
}
/**
 * Function that turns an XML string into a JSON object
 */
export declare type ParseXML = (xml: string) => Promise<any>;
