"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.XMLStream = void 0;
const stream_1 = require("stream");
/**
 * Converts an xml string into a JSON object
 */
class XMLStream extends stream_1.Transform {
    constructor(parseXML) {
        super({ objectMode: true });
        this.parseXML = parseXML;
    }
    /**
     * Transform the XML using the parseXML method
     */
    async _transform(xml, encoding, callback) {
        const json = await this.parseXML(xml);
        callback(undefined, json);
    }
}
exports.XMLStream = XMLStream;
