"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const chai = require("chai");
const GTFSFileStream_1 = require("../../src/gtfs/GTFSFileStream");
const util_1 = require("../util");
describe("GTFSFileStream", () => {
    it("emits a header if it has not been sent", async () => {
        const stream = new MockStream();
        stream.write({});
        stream.write({});
        stream.end();
        return (0, util_1.awaitStream)(stream, rows => {
            chai.expect(rows[0]).to.equal("header\n");
            chai.expect(rows[1]).to.equal("data\n");
            chai.expect(rows[2]).to.equal("data\n");
        });
    });
});
class MockStream extends GTFSFileStream_1.GTFSFileStream {
    constructor() {
        super(...arguments);
        this.header = "header";
        this.transform = () => this.pushLine("data");
    }
}
