"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const chai = require("chai");
const util_1 = require("../util");
const js_joda_1 = require("js-joda");
const RoutesStream_1 = require("../../src/gtfs/RoutesStream");
// tslint:disable
describe("RoutesStream", () => {
    it("emits routes", async () => {
        const stream = new RoutesStream_1.RoutesStream();
        stream.write({
            Services: {
                "M6_MEGA": {
                    "Description": "Falmouth - Victoria,London",
                    "Lines": {
                        "l_M6_MEGA": "M6"
                    },
                    "Mode": "coach",
                    "OperatingPeriod": {
                        "EndDate": js_joda_1.LocalDate.parse("2099-12-31"),
                        "StartDate": js_joda_1.LocalDate.parse("2018-06-24")
                    },
                    "RegisteredOperatorRef": "OId_MEGA",
                    "ServiceCode": "M6_MEGA"
                }
            }
        });
        stream.end();
        return (0, util_1.awaitStream)(stream, (rows) => {
            const [route_id, agency_id, route_short_name, route_long_name, route_type] = (0, util_1.splitCSV)(rows[1]);
            chai.expect(route_id).to.equal("M6_MEGA");
            chai.expect(agency_id).to.equal("OId_MEGA");
            chai.expect(route_short_name).to.equal("M6");
            chai.expect(route_long_name).to.equal("Falmouth - Victoria,London");
            chai.expect(route_type).to.equal("3");
        });
    });
});
