"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.splitCSV = exports.awaitStream = void 0;
function awaitStream(stream, fn) {
    return new Promise(resolve => {
        const data = [];
        stream.on("data", row => data.push(row));
        stream.on("end", () => {
            fn(data);
            resolve();
        });
    });
}
exports.awaitStream = awaitStream;
function splitCSV(csv) {
    csv = csv.replace("\n", "");
    const row = [];
    let i = 0;
    while (i < csv.length) {
        if (csv.charAt(i) === "\"") {
            const endIndex = csv.indexOf("\"", i + 1);
            const j = endIndex > 0 ? endIndex : csv.length;
            const value = csv.substring(i + 1, j);
            row.push(value);
            i = j + 2;
        }
        else {
            const endIndex = csv.indexOf(",", i);
            const j = endIndex > 0 ? endIndex : csv.length;
            const value = csv.substring(i, j);
            row.push(value);
            i = j + 1;
        }
    }
    return row;
}
exports.splitCSV = splitCSV;
